<template>
  <v-card class="mx-auto" min-width="240" @click="viewProductHandler(id)">
    <v-img class="align-end text-white" height="260" :src="img" cover="">
      <v-card-title class="bg">{{ title }}</v-card-title>
    </v-img>

    <v-card-subtitle class="pt-4"> Цена: {{ price }} руб. </v-card-subtitle>

    <v-card-text class="py-2">
      <div class="text-truncate">{{ desc }}</div>
    </v-card-text>

    <v-card-actions>
      <v-btn prepend-icon="mdi-basket-plus" @click.stop="addBasketHandler">
        В корзину
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script setup>
import { toRefs } from 'vue'
import { dispatch } from 'vuex-pathify'
import { useProducts } from '@/modules/useProducts'
const { viewProductHandler } = useProducts()

const props = defineProps({
  id: {
    type: Number,
    default: () => 0
  },
  title: {
    type: String,
    default: () => 'Название товара'
  },
  price: {
    type: Number,
    default: () => 0
  },
  desc: {
    type: String,
    default: () => 'Описание товара'
  },
  img: {
    type: String,
    default: () => ''
  },
  count: {
    type: Number,
    default: () => 0
  }
})

const { id, title, price, desc, img } = toRefs(props)

function addBasketHandler() {
  dispatch('market/addBasket', props)
}
</script>

<style scoped>
.bg {
  backdrop-filter: blur(25px) brightness(80%);
}
</style>
